{
  "name": "grd0-site-vue",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "packageManager": "pnpm@10.1.0",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/",
    "size": "vite-bundle-visualizer"
  },
  "dependencies": {
    "@jsdevtools/rehype-url-inspector": "^2.0.2",
    "alova": "^3.2.8",
    "dayjs": "^1.11.13",
    "lz-string": "^1.5.0",
    "ol": "^10.4.0",
    "ol-contextmenu": "^5.5.0",
    "ol-ext": "^4.0.26",
    "pinia": "^2.3.1",
    "rehype-external-links": "^3.0.0",
    "rehype-plugin-image-native-lazy-loading": "^1.2.0",
    "rehype-sanitize": "^6.0.0",
    "rehype-stringify": "^10.0.1",
    "remark-breaks": "^4.0.0",
    "remark-gfm": "^4.0.0",
    "remark-parse": "^11.0.0",
    "remark-rehype": "^11.1.1",
    "unified": "^11.0.5",
    "vue": "^3.5.13",
    "vue-router": "^4.5.0",
    "vue3-openlayers": "^11.3.0"
  },
  "devDependencies": {
    "@iconify/vue": "^4.3.0",
    "@rushstack/eslint-patch": "^1.10.5",
    "@tailwindcss/vite": "^4.0.3",
    "@tsconfig/node20": "^20.1.4",
    "@types/node": "^22.13.0",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.3.0",
    "@vue/tsconfig": "^0.7.0",
    "autoprefixer": "^10.4.19",
    "css-has-pseudo": "^7.0.2",
    "eslint": "^9.18.0",
    "eslint-plugin-vue": "^9.17.0",
    "npm-run-all2": "^7.0.2",
    "postcss": "^8.5.1",
    "prettier": "^3.0.3",
    "tailwindcss": "^4.0.3",
    "tailwindcss-motion": "^1.0.1",
    "typescript": "~5.7.3",
    "unplugin-vue-components": "^28.0.0",
    "vite": "^6.0.11",
    "vite-bundle-visualizer": "^1.2.1",
    "vite-plugin-pwa": "^0.21.1",
    "vue-tsc": "^2.2.0"
  }
}
